gsasl_hex_to(3)

NAME
gsasl_hex_to - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_hex_to(const char * in, size_t inlen, char ** out, size_t * outlen);

ARGUMENTS

const char * in
    input byte array.

size_t inlen
    size of input byte array.

char ** out
    pointer to newly allocated hex-encoded string.

size_t * outlen
    pointer to size of newly allocated hex-encoded string.

DESCRIPTION
Hex encode data. The out string is zero terminated, and outlen holds the length excluding the terminating zero. The out buffer must be deallocated by the caller. Return value: Returns GSASL_OK on success, or GSASL_MALLOC_ERROR if input was too large or memory allocation fail.

SINCE
1.10

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/